VoIP (Template)
23 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getCallBlockingProfiles | GET | Get call blocking profile list template |
| createCallBlockingProfile | POST | Create new call blocking profile template |
| modifyCallBlockingProfile | PATCH | Modify a call blocking profile template |
| deleteCallBlockingProfile_1 | DELETE | Delete call blocking profile template |
| getDndSettings | GET | Get DND settings template |
| modifyDndSettings | PATCH | Modify DND settings template |
| getVoipEmergency | GET | Get Voip Emergency Number Info Template |
| modifyVoipEmergency | PATCH | Modify Voip Emergency Number Setting Template |
| getGridProviderProfileList | GET | Get the grid of provider profile list template |
| createProviderProfile | POST | Create new provider profile template |
| modifyProviderProfile | PATCH | Modify a provider profile template |
| deleteProviderProfiles_1 | DELETE | Delete provider profile(s) template |
| deleteCallForwardingRule | DELETE | Batch delete existing Call Forwarding in siteTemplate |
| addCallForwardingRule | POST | Create new siteTemplate's Call Forwarding |
| modifyCallForwardingRule | PATCH | Modify an existing Call Forwarding in siteTemplate |
| getCallForwardingRulesGridTemplate | GET | Get siteTemplate's Call Forwarding list |
| getVoipCallLogEnable | GET | Get siteTemplate's Voip CallLog Setting |
| modifyVoipCallLogEnable | POST | Modify siteTemplate's Voip CallLog Setting |
| getVoipTelephoneBookTemplate | GET | Get siteTemplate's Voip Contact Person list |
| createVoipTelephoneBookTemplate | POST | Create new siteTemplate's Contact Person |
| deleteVoipTelephoneBookTemplate | DELETE | Delete an existing Contact Person in siteTemplate |
| modifyVoipTelephoneBookTemplate | PATCH | Modify an existing Contact Person in siteTemplate |
| batchDeleteVoipTelephoneBookTemplate | POST | Batch delete existing Contact Person in siteTemplate |
getCallBlockingProfiles
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/call-blocking
Get call blocking profile list template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getCallBlockingProfiles",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get call blocking profile list template.
The interface requires one of the permissions:
Global Site Template Manager View Only
createCallBlockingProfile
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/call-blocking
Create new call blocking profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema CreateCallBlockingProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | Call blocking profile name |
incomingCallsBlockingEnable | boolean | no | Enable incoming calls blocking or not. The default value is false. |
incomingCallsBlocking | IncomingCallsBlockingVO | no | (IncomingCallsBlockingVO not expanded; call omada_get_schema "IncomingCallsBlockingVO") |
outgoingCallsBlockingEnable | boolean | no | Enable outgoing calls blocking or not. The default value is false. |
outgoingCallsBlocking | OutgoingCallsBlockingVO | no | (OutgoingCallsBlockingVO not expanded; call omada_get_schema "OutgoingCallsBlockingVO") |
// omada_call_operation
{
"operationId": "createCallBlockingProfile",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new call blocking profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyCallBlockingProfile
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/call-blocking/{profileId}
Modify a call blocking profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
profileId | path | string | yes | Profile ID |
Request body — application/json (required) — schema ModifyCallBlockingProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | no | Call blocking profile name |
incomingCallsBlockingEnable | boolean | no | Enable incoming calls blocking or not. The default value is false. |
incomingCallsBlocking | IncomingCallsBlockingVO | no | (IncomingCallsBlockingVO not expanded; call omada_get_schema "IncomingCallsBlockingVO") |
outgoingCallsBlockingEnable | boolean | no | Enable outgoing calls blocking or not. The default value is false. |
outgoingCallsBlocking | OutgoingCallsBlockingVO | no | (OutgoingCallsBlockingVO not expanded; call omada_get_schema "OutgoingCallsBlockingVO") |
// omada_call_operation
{
"operationId": "modifyCallBlockingProfile",
"params": {
"siteTemplateId": "<siteTemplateId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a call blocking profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
deleteCallBlockingProfile_1
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/call-blocking/delete
Delete call blocking profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema DeleteCallBlockingProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileId | string | yes | Profile ID |
skipConfirm | boolean | yes | skipConfirm indicates whether to skip the query of the devices bound to call blocking profile. false: Not to skip the query. true: Skip the query and delete the call blocking profile corresponding to the profileId. |
// omada_call_operation
{
"operationId": "deleteCallBlockingProfile_1",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete call blocking profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
getDndSettings
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/dnd/settings
Get DND settings template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getDndSettings",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get DND settings template
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyDndSettings
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/dnd/settings
Modify DND settings template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema DndSettingEntity
| Field | Type | Required | Description |
|---|---|---|---|
omadacId | string | no | Omadac ID |
siteId | string | no | Site ID |
enable | boolean | yes | Enable DND or not |
dayMode | integer | no | The days you want to block the incoming calls. 1-daily,2-weekend,3-weekday |
timeBegin | integer | no | The start time of the DND period you want to block incoming calls. It should be an integer value between 0 and 1438. |
timeEnd | integer | no | The end time of the DND period you want to block incoming calls. It should be an integer value between 1 and 1439. |
// omada_call_operation
{
"operationId": "modifyDndSettings",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify DND settings template
The interface requires one of the permissions:
Global Site Template Manager Modify
getVoipEmergency
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/emergency-number-settings
Get Voip Emergency Number Info Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
// omada_call_operation
{
"operationId": "getVoipEmergency",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get Voip Emergency Number Info Template.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyVoipEmergency
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/emergency-number-settings
Modify Voip Emergency Number Setting Template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site ID |
Request body — application/json (required) — schema VoipEmergencyNumberSetting
| Field | Type | Required | Description |
|---|---|---|---|
emergencyNumberEnable | boolean | yes | Whether to enable the emergency number. |
noOperationTime | integer | no | No operation time should be within the range of 2-8s. |
emergencyNumbers | array<string> | no | Emergency number list. |
// omada_call_operation
{
"operationId": "modifyVoipEmergency",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Voip Emergency Number Setting Template.
The interface requires one of the permissions:
Global Site Template Manager Modify
getGridProviderProfileList
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/grid/provider-profiles
Get the grid of provider profile list template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridProviderProfileList",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get the grid of provider profile list template.
The interface requires one of the permissions:
Global Site Template Manager View Only
createProviderProfile
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/provider-profiles
Create new provider profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema CreateProviderProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | yes | Provider profile name |
providerSettings | ProviderSettingVO | yes | (ProviderSettingVO not expanded; call omada_get_schema "ProviderSettingVO") |
// omada_call_operation
{
"operationId": "createProviderProfile",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new provider profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyProviderProfile
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/provider-profiles/{profileId}
Modify a provider profile template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
profileId | path | string | yes | Profile ID |
Request body — application/json (required) — schema ModifyProviderProfileEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileName | string | no | Provider profile name |
providerSettings | ModifyProviderSettingOpenApiVO | no | (ModifyProviderSettingOpenApiVO not expanded; call omada_get_schema "ModifyProviderSettingOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyProviderProfile",
"params": {
"siteTemplateId": "<siteTemplateId>",
"profileId": "<profileId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify a provider profile template.
The interface requires one of the permissions:
Global Site Template Manager Modify
deleteProviderProfiles_1
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/setting/voip/provider-profiles/delete
Delete provider profile(s) template
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema DeleteProviderProfileTemplateEntity
| Field | Type | Required | Description |
|---|---|---|---|
profileIds | array<string> | yes | Provider profile IDs |
// omada_call_operation
{
"operationId": "deleteProviderProfiles_1",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete provider profile(s) template.
The interface requires one of the permissions:
Global Site Template Manager Modify
deleteCallForwardingRule
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-forwarding
Batch delete existing Call Forwarding in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema DeleteCallForwardingRules
| Field | Type | Required | Description |
|---|---|---|---|
ruleIds | array<string> | no | Ids of call forwarding rules to be deleted. |
// omada_call_operation
{
"operationId": "deleteCallForwardingRule",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete existing Call Forwarding in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
addCallForwardingRule
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-forwarding
Create new siteTemplate's Call Forwarding
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema CallForwardingRule
| Field | Type | Required | Description |
|---|---|---|---|
omadacId | string | no | Omadac ID |
siteId | string | no | Site ID |
ruleId | string | no | Call forwarding rule id |
enable | boolean | yes | Enable this rule or not |
condition | integer | yes | Forwarding condition. 0- no answer, 1- unconditional |
type | integer | yes | The call type to be forwarded. 0: All Incoming Calls - If this option is selected, all incoming calls will be forwarded. 1: Calls to the Telephone Number - If this option is selected, select a telephone number from the list. Any incoming calls to this number will be forwarded. 2: Calls to the Phone - If this option is selected, select a telephony device from the list. Any incoming calls to this device will be forwarded. 3: Calls from a Person in the Telephone Book - If this option is selected, select a contact from the list. Any incoming calls from this contact will be forwarded. 4: Calls from the Telephone Number - If this option is selected, enter a specific telephone number. Any incoming calls from this number will be forwarded. |
toNumbers | array<string> | no | Any incoming calls to these numbers will be forwarded. |
toDevices | array<integer> | no | Any incoming calls to these devices will be forwarded. |
fromPersons | array<string> | no | Any incoming calls from these contacts will be forwarded. |
fromNumbers | array<string> | no | Any incoming calls from these numbers will be forwarded. |
forwardVia | string | no | "Auto" by default. |
destNumber | string | yes | The Destination Telephone Number that incoming calls will be redirected to. |
// omada_call_operation
{
"operationId": "addCallForwardingRule",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new siteTemplate's Call Forwarding.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyCallForwardingRule
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-forwarding/{forwardingRuleId}
Modify an existing Call Forwarding in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
forwardingRuleId | path | string | yes | Entry ID of the call forwarding rule to be modified. |
Request body — application/json (required) — schema CallForwardingRule
| Field | Type | Required | Description |
|---|---|---|---|
omadacId | string | no | Omadac ID |
siteId | string | no | Site ID |
ruleId | string | no | Call forwarding rule id |
enable | boolean | yes | Enable this rule or not |
condition | integer | yes | Forwarding condition. 0- no answer, 1- unconditional |
type | integer | yes | The call type to be forwarded. 0: All Incoming Calls - If this option is selected, all incoming calls will be forwarded. 1: Calls to the Telephone Number - If this option is selected, select a telephone number from the list. Any incoming calls to this number will be forwarded. 2: Calls to the Phone - If this option is selected, select a telephony device from the list. Any incoming calls to this device will be forwarded. 3: Calls from a Person in the Telephone Book - If this option is selected, select a contact from the list. Any incoming calls from this contact will be forwarded. 4: Calls from the Telephone Number - If this option is selected, enter a specific telephone number. Any incoming calls from this number will be forwarded. |
toNumbers | array<string> | no | Any incoming calls to these numbers will be forwarded. |
toDevices | array<integer> | no | Any incoming calls to these devices will be forwarded. |
fromPersons | array<string> | no | Any incoming calls from these contacts will be forwarded. |
fromNumbers | array<string> | no | Any incoming calls from these numbers will be forwarded. |
forwardVia | string | no | "Auto" by default. |
destNumber | string | yes | The Destination Telephone Number that incoming calls will be redirected to. |
// omada_call_operation
{
"operationId": "modifyCallForwardingRule",
"params": {
"siteTemplateId": "<siteTemplateId>",
"forwardingRuleId": "<forwardingRuleId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing Call Forwarding in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
getCallForwardingRulesGridTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-forwarding/grid
Get siteTemplate's Call Forwarding list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getCallForwardingRulesGridTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate's Call Forwarding list.
The interface requires one of the permissions:
Global Site Template Manager View Only
getVoipCallLogEnable
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-log-enable
Get siteTemplate's Voip CallLog Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
// omada_call_operation
{
"operationId": "getVoipCallLogEnable",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate's Voip CallLog Setting.
The interface requires one of the permissions:
Global Site Template Manager View Only
modifyVoipCallLogEnable
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/call-log-enable
Modify siteTemplate's Voip CallLog Setting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema VoipCallLogEnableSetting
| Field | Type | Required | Description |
|---|---|---|---|
callLogEnable | boolean | yes | Whether to enable the call log. |
// omada_call_operation
{
"operationId": "modifyVoipCallLogEnable",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify siteTemplate's Voip CallLog Setting.
The interface requires one of the permissions:
Global Site Template Manager Modify
getVoipTelephoneBookTemplate
GET /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book
Get siteTemplate's Voip Contact Person list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getVoipTelephoneBookTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
}
}Details, permissions and error codes
Get siteTemplate's Voip Contact Person list.
The interface requires one of the permissions:
Global Site Template Manager View Only
createVoipTelephoneBookTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book
Create new siteTemplate's Contact Person
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema VoipContactPersonSettings
| Field | Type | Required | Description |
|---|---|---|---|
firstName | string | no | The firstName of contact person. It should contain 0 to 64 characters. |
lastName | string | no | The lastName of contact person. It should contain 0 to 64 characters. |
privatePhoneNumber | string | no | The privatePhoneNumber of contact person. |
workPhoneNumber | string | no | The workPhoneNumber of contact person. |
mobilePhoneNumber | string | no | The mobilePhoneNumber of contact person. |
speedDialEnable | boolean | no | Whether to enable the speedDial. |
speedDialNumberType | integer | no | speedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number. |
speedDialNumber | string | no | The speedDialNumber of contact person. |
// omada_call_operation
{
"operationId": "createVoipTelephoneBookTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new siteTemplate's Contact Person.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35615 - The number of Telephone book has reached the limit.
-35616 - The contact person's number combination already exists.
deleteVoipTelephoneBookTemplate
DELETE /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book/{contactId}
Delete an existing Contact Person in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
contactId | path | string | yes | Voip Contact Person ID |
Request body — application/json (required) — schema VoipDeleteTelephoneBook
| Field | Type | Required | Description |
|---|---|---|---|
forceDelete | boolean | yes | Other configurations depending on this contact (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this contact is already used in some other configurations. |
// omada_call_operation
{
"operationId": "deleteVoipTelephoneBookTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"contactId": "<contactId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete an existing Contact Person in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
modifyVoipTelephoneBookTemplate
PATCH /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book/{contactId}
Modify an existing Contact Person in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
contactId | path | string | yes | Voip Contact Person ID |
Request body — application/json (required) — schema VoipContactPersonSettings
| Field | Type | Required | Description |
|---|---|---|---|
firstName | string | no | The firstName of contact person. It should contain 0 to 64 characters. |
lastName | string | no | The lastName of contact person. It should contain 0 to 64 characters. |
privatePhoneNumber | string | no | The privatePhoneNumber of contact person. |
workPhoneNumber | string | no | The workPhoneNumber of contact person. |
mobilePhoneNumber | string | no | The mobilePhoneNumber of contact person. |
speedDialEnable | boolean | no | Whether to enable the speedDial. |
speedDialNumberType | integer | no | speedDialNumberType should be a value as follows: 0: Private Phone Number; 1: Work Phone Number; 2: Mobile Phone Number. |
speedDialNumber | string | no | The speedDialNumber of contact person. |
// omada_call_operation
{
"operationId": "modifyVoipTelephoneBookTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>",
"contactId": "<contactId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing Contact Person in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-35615 - The number of Telephone book has reached the limit.
-35616 - The contact person's number combination already exists.
batchDeleteVoipTelephoneBookTemplate
POST /openapi/v1/{omadacId}/sitetemplates/{siteTemplateId}/voip/telephone-book/batch-delete
Batch delete existing Contact Person in siteTemplate
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteTemplateId | path | string | yes | Site Template ID |
Request body — application/json (required) — schema VoipTelephoneBookBatchSetting
| Field | Type | Required | Description |
|---|---|---|---|
contactIds | array<string> | yes | Delete the contact ID of contact person. |
selectType | string | yes | SpeedDialNumberType should be a value as follows: all, include, exclude. |
forceDelete | boolean | yes | Other configurations depending on selected contacts (call forwarding rules for instance) will be deleted together if this field is true. Otherwise, a pre-check will be executed and an error message will be returned when this contact is already used in some other configurations. |
// omada_call_operation
{
"operationId": "batchDeleteVoipTelephoneBookTemplate",
"params": {
"siteTemplateId": "<siteTemplateId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch delete existing Contact Person in siteTemplate.
The interface requires one of the permissions:
Global Site Template Manager Modify